id: caobox-cms-detect

info:
  name: Caobox CMS - Detect
  author: Chirag Mistry
  severity: info
  description: |
    Detects instances of Caobox CMS based on unique fingerprints and identifiers.
  metadata:
    verified: true
    shodan-query:
      - http.component:"Caobox"
      - http.component:"caobox"
      - cpe:"cpe:2.3:a:caobox:caobox"
  tags: detect,caobox,cms,tech

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    payloads:
      paths:
        - "/"
        - "/admin/"
        - "/index.php"
        - "/admin/login.php"

    matchers-condition: or
    matchers:
      - type: word
        words:
          - "Caobox CMS"
          - "powered by Caobox"
          - "Welcome to Caobox"
          - "Caobox version"
        condition: or

      - type: regex
        regex:
          - "(?i)caobox"
          - "(?i)caobox\\s+(v[0-9.]+)"
          - "(?i)<title>Caobox CMS"
# digest: 4b0a00483046022100f9db1ff054d5a5eb02bbc8d31fa1512b7f553cbd292cabe76c2dca0b97292a49022100c3344500bd534d9b7fd4b824197b7406a85c2cea2d954ca5b360c0182beee8bd:922c64590222798bb761d5b6d8e72950